Estoy tratando de importar las siguientes clases para mi reproductor multimedia, pero mi aplicación no las reconoce:

import android.support.v4.media.MediaMetadataCompat;
import android.support.v4.media.session.MediaControllerCompat;
import android.support.v4.media.session.MediaSessionCompat;
import android.support.v7.app.NotificationCompat;

Lo intenté como otros sugirieron (File->Invalidate Caches/restart), pero el error persiste.

Gradle:

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.android.support:appcompat-v7:28.0.0-rc02'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'

    implementation 'com.android.support:recyclerview-v7:28.0.0-rc02'
    implementation 'com.android.support:cardview-v7:28.0.0-rc02'
    implementation 'com.android.support:design:28.0.0-rc02'
    implementation group: 'com.google.code.gson', name: 'gson', version: '2.7', changing: true
}
2
SpicyWeenie 15 sep. 2018 a las 11:22

3 respuestas

La mejor respuesta

Agregue estas dependencias a su gradle;

com.android.support:support-v4:YOUR_VERSION 

en gran medida ;

  • Estructura del proyecto -> Dependencias -> Haga clic en el signo más -> Ir a "Dependencia de la biblioteca"
  • Seleccione qué biblioteca de soporte "support-v4 (com.android.support:support-v4:YOUR_VERSION)"
  • Asegúrese de que se haya agregado la Biblioteca de soporte de Android a sus dependencias.

Reconstruir y trabajarlo.

5
drowny 15 sep. 2018 a las 08:34

Simplemente agregue dependencias en nuestro archivo Gradle

dependencies {
    ......
implementation 'com.android.support:support-v4:VERSION'
    .....
}

Ex

dependencies {
        ......
    implementation 'com.android.support:support-v4:27.0.1'
        .....
    }
2
Ashvin solanki 15 sep. 2018 a las 08:38

Para proyectos basados en Android x, agregue esto

implementation 'androidx.legacy:legacy-support-v4:1.0.0'
1
Vairavan 18 ago. 2019 a las 20:40